W3C home > Mailing lists > Public > public-qa-dev@w3.org > December 2003

Re: [check] install guide (draft)

From: Ville Skyttä <ville.skytta@iki.fi>
Date: Sat, 20 Dec 2003 15:28:06 +0200
To: public-qa-dev@w3.org
Message-Id: <1071926886.2032.67.camel@bobcat.mine.nu>

On Wed, 2003-12-17 at 09:40, Olivier Thereaux wrote:

> The draft is up on the beta validator site:
> http://validator.w3.org:8001/docs/devel
> 
> I would appreciate any comment you would have to make this better.

I think it's better to include the CPAN module distribution and its
version instead of referring to individual modules for dependencies. 
Otherwise some people will install only the mentioned module and be
surprised that nothing actually works.  Also, mentioning LWP::UserAgent
>= 1.90 doesn't really tell much to a non-Perl-hacker, libwww-perl >=
5.60 is more obvious.  And the module distributions may have
dependencies of their own, of which it doesn't IMO make sense to try to
keep a complete up-to-date list.

The Net-IP dependency is missing from the new doc.

An up to date list of dependencies and the older installation
instructions is at http://validator.w3.org:8001/source/
Combining that and the new guide would be a good idea in order to remove
redundancy and improve the chances that the information will be kept up
to date.
Received on Saturday, 20 December 2003 08:28:13 GMT

This archive was generated by hypermail 2.2.0+W3C-0.50 : Thursday, 19 August 2010 18:12:43 GMT